Bug 198970 - www/httpclient: add CPE information
Summary: www/httpclient: add CPE information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-27 20:46 UTC by shun
Modified: 2015-04-10 08:59 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ale)


Attachments
adding CPE information to Makefile (466 bytes, patch)
2015-03-27 20:46 UTC, shun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shun 2015-03-27 20:46:57 UTC
Created attachment 154889 [details]
adding CPE information to Makefile

www/httpclient has had vulnerabilities with a CPE identifier assigned (e.g. CVE-2012-6153). This patch adds CPE information as suggested in the FreeBSD wiki[0]. I am not entirely sure whether or not this patch actually applies, i.e. if www/httpclient is identical with the Apache commons httpclient. I leave it to the maintainer to reject this patch if appropriate.

[0] https://wiki.freebsd.org/Ports/CPE
Comment 1 commit-hook freebsd_committer 2015-04-09 21:04:23 UTC
A commit references this bug:

Author: robak
Date: Thu Apr  9 21:03:56 UTC 2015
New revision: 383679
URL: https://svnweb.freebsd.org/changeset/ports/383679

Log:
  java/jakarta-commons-httpclient: add CPE information

  - Maintainer's timeout (ale@FreeBSD.org)

  PR:		198970
  Submitted by:	Shun <shun.fbsd.pr@dropcut.net>

Changes:
  head/java/jakarta-commons-httpclient/Makefile
Comment 2 Bartek Rutkowski freebsd_committer 2015-04-09 22:23:04 UTC
(In reply to commit-hook from comment #1)
The commit message above landed here by mistake, it was meant to land in different PR.
Comment 3 commit-hook freebsd_committer 2015-04-10 08:59:23 UTC
A commit references this bug:

Author: robak
Date: Fri Apr 10 08:58:43 UTC 2015
New revision: 383713
URL: https://svnweb.freebsd.org/changeset/ports/383713

Log:
  www/httpclient: add CPE information

  - Maintainer's timeout (ale@FreeBSD.org)

  PR:		198970
  Submitted by:	Shun <shun.fbsd.pr@dropcut.net>

Changes:
  head/www/httpclient/Makefile
Comment 4 Bartek Rutkowski freebsd_committer 2015-04-10 08:59:46 UTC
Committed, thanks for your work!